import { jsx } from "react/jsx-runtime";
import { TokenHOSHI as TokenHOSHI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHOSHI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "HOSHI", "data-name": "TokenHOSHI", ...props, children: /* @__PURE__ */ jsx(TokenHOSHI$1, { variant }) });
  }
);
TokenHOSHI.displayName = "TokenHOSHI";
Object.assign(TokenHOSHI, { isGdsIcon: true });
export {
  TokenHOSHI
};
